#
# spec file for package python-django-webtest
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-django-webtest
Version:        1.9.7
Release:        bp156.3.1
Summary:        Django integration for WebTest
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/django-webtest/django-webtest
Source:         https://files.pythonhosted.org/packages/source/d/django-webtest/django-webtest-%{version}.tar.gz
BuildRequires:  %{python_module Django}
BuildRequires:  %{python_module WebTest >= 1.3.3}
BuildRequires:  %{python_module pytest-django}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Django
Requires:       python-WebTest >= 1.3.3
%python_subpackages

%description
Instant integration of Ian Bicking's WebTest with django's testing framework.

%prep
%setup -q -n django-webtest-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
pushd django_webtest_tests
%python_exec runtests.py
popd

%files %{python_files}
%license LICENSE.txt
%doc AUTHORS.txt CHANGES.rst README.rst
%{python_sitelib}/*

%changelog
* Mon Sep 16 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.9.7:
  * allow overriding HTTP_HOST with DjangoTestApp.__init__. Fixed #102
* Mon Jun 17 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.9.6:
  * rest_framework auth class. Fixed #98 #100
* Mon Jun  3 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.9.5:
  * Fix compatibility with django 3. See #96
  * Add integration with django-rest-framework auth
  * Add missing args to DjangoTestApp. Fixed #86
* Tue Dec 11 2018 Tomáš Chvátal <tchvatal@suse.com>
- Version update to 1.9.4:
  * allow to use positionnal args; fixed #89
  * remove deprecated pytest.yield_fixture functions. use pytest.fixture instead; fixed #88
  * Don't add duplicate WebtestUserMiddleware to the list of middlewares in WebTestMixin. fixed #87
  * restore MIDDLEWARE_CLASSES support; fixed #84
  * Passing user=None to get/post/etc. methods will clear a user previously set with set_user instead of doing nothing.
  * Avoid sharing settings between tests in pytest plugin
  * Fix middleware settings name used
- Enable tests
* Thu Dec 14 2017 tchvatal@suse.com
- Update to 1.9.2:
  * silence warnings about is_authenticated on 1.11
  * include correct hostname (testserver) when using set_cookie
* Thu Dec 14 2017 tchvatal@suse.com
- Cleanup a bit to match all the singlespec requirements
* Thu Apr  6 2017 rjschwei@suse.com
- Initial build
  + Version 1.9.1
